Bug 13360 - C4::Ris considers that hashes are ordered
Summary: C4::Ris considers that hashes are ordered
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.16
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-28 11:22 UTC by Jonathan Druart
Modified: 2016-06-21 21:36 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13360: C4::Ris assumes that hash keys are ordered - KW (4.40 KB, patch)
2014-11-28 11:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13360: C4::Ris assumes that hash keys are ordered - KW (4.56 KB, patch)
2014-12-28 04:57 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13360: C4::Ris assumes that hash keys are ordered - KW (4.63 KB, patch)
2014-12-28 09:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-11-28 11:22:13 UTC
If you try to export a record with several 650 fields (for instance), the KW lines won't be displayed in the fields order.
Comment 1 Jonathan Druart 2014-11-28 11:26:07 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-12-28 04:57:11 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-12-28 09:56:15 UTC
Created attachment 34761 [details] [review]
[PASSED QA] Bug 13360: C4::Ris assumes that hash keys are ordered - KW

This patch only fixes the KW order.

Test plan:
1/ Choose/create a record with several 6XX (for KW), see the code source
to know which fields you can use
2/ Export this record in RIS format
3/ Verify that the KW lines are ordered following the marc record fields
order.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

We really should refactor this whole thing into Koha::RIS sometime, it's
a horrible module at the moment.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2014-12-28 23:03:56 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2014-12-29 21:37:57 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 6 Mason James 2015-01-16 19:29:51 UTC
Pushed to 3.16.x, patch will be in 3.16.7